What about Mesa 18 or newer? how can i install or upgrade to it?

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
ssdmanster
Level 1
Level 1
Posts: 14
Joined: Fri Jun 23, 2017 4:24 pm

What about Mesa 18 or newer? how can i install or upgrade to it?

Post by ssdmanster » Fri Feb 09, 2018 5:05 pm

Hello.

I have some problem in playing CSGO on linux mint.
So i submitted it as issue in github > ValveSoftware > csgo-osx-linux
This is the issue. https://github.com/ValveSoftware/csgo-o ... ssues/1607

Someone said.
If you're able to update to a release candidate of mesa 18.0 (or newer), you should be able to enable the experimental on-disk shader cache support for Intel graphics (disabled by default).
Could anyone please Tell me what is that mean?
How can i update mesa for 18.0 or how can i enable the experimental on-disk shader cache?

Thanks and Regards.
Humble guy.
All love.

User avatar
WharfRat
Level 20
Level 20
Posts: 11537
Joined: Thu Apr 07, 2011 8:15 pm

Re: What about Messa 18 or newer? how can i install or upgrade to it?

Post by WharfRat » Fri Feb 09, 2018 5:42 pm

I think you're looking for this

I see reverences to mesa 18.

As far as MESA_GLSL_CACHE_DISABLE=0 look in /etc/X11/Xsession.d for how environment variables are set.

Probably a simple 99mesa exporting MESA_GLSL_CACHE_DISABLE would do.

Good luck :wink:
ImageImage

ssdmanster
Level 1
Level 1
Posts: 14
Joined: Fri Jun 23, 2017 4:24 pm

Re: What about Messa 18 or newer? how can i install or upgrade to it?

Post by ssdmanster » Fri Feb 09, 2018 5:53 pm

WharfRat wrote:
Fri Feb 09, 2018 5:42 pm
I think you're looking for this

I see reverences to mesa 18.

As far as MESA_GLSL_CACHE_DISABLE=0 look in /etc/X11/Xsession.d for how environment variables are set.

Probably a simple 99mesa exporting MESA_GLSL_CACHE_DISABLE would do.

Good luck :wink:
Hi, Thanks for your reply.
But is all these packages are necessary?

And while i'm looking i found this.
https://lists.freedesktop.org/archives/ ... 00398.html
I have downloaded mesa-18.0.0-rc4.tar.gz, but i don't know how to install it exactly,

And when i run ./configue. it gives me
checking for zlib >= 1.2.3... no
configure: error: Package requirements (zlib >= 1.2.3) were not met:

No package 'zlib' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables ZLIB_CFLAGS
and ZLIB_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

User avatar
WharfRat
Level 20
Level 20
Posts: 11537
Joined: Thu Apr 07, 2011 8:15 pm

Re: What about Messa 18 or newer? how can i install or upgrade to it?

Post by WharfRat » Fri Feb 09, 2018 5:59 pm

Why are you compiling :?:

Why not just add the ppa:xorg-edgers/ppa :?:
ImageImage

ssdmanster
Level 1
Level 1
Posts: 14
Joined: Fri Jun 23, 2017 4:24 pm

Re: What about Messa 18 or newer? how can i install or upgrade to it?

Post by ssdmanster » Sat Feb 10, 2018 12:07 am

WharfRat wrote:
Fri Feb 09, 2018 5:59 pm
Why are you compiling :?:

Why not just add the ppa:xorg-edgers/ppa :?:
Thank you so much. Your suggestion work good.

sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt update && sudo apt dist-upgrade
glxinfo | grep "OpenGL version"
Output
OpenGL version string: 3.0 Mesa 18.0.0-rc3
Thanks a lot <3 i'm gonna try the game and see if its solve the problem or not.

EDIT

About the game. Its took same time to run.
And as you suggest in first reply of yours.
I can not find any file with name messa in this directory /etc/X11/Xsession.d

User avatar
WharfRat
Level 20
Level 20
Posts: 11537
Joined: Thu Apr 07, 2011 8:15 pm

Re: What about Messa 18 or newer? how can i install or upgrade to it?

Post by WharfRat » Sat Feb 10, 2018 12:42 am

ssdmanster wrote:
Sat Feb 10, 2018 12:07 am
EDIT

About the game. Its took same time to run.
And as you suggest in first reply of yours.
I can not find any file with name messa in this directory /etc/X11/Xsession.d
That's because there is no 99mesa file there, it has to be added.

echo -e "# Added for Mesa 18\nMESA_GLSL_CACHE_DISABLE=0"|sudo tee /etc/X11/Xsession.d/99mesa

You can then see it with cat /etc/X11/Xsession.d/99mesa

You'll have to reboot for it to take.
ImageImage

ssdmanster
Level 1
Level 1
Posts: 14
Joined: Fri Jun 23, 2017 4:24 pm

Re: What about Mesa 18 or newer? how can i install or upgrade to it?

Post by ssdmanster » Sat Feb 10, 2018 3:23 am

WharfRat wrote:
Sat Feb 10, 2018 12:42 am
That's because there is no 99mesa file there, it has to be added.

echo -e "# Added for Mesa 18\nMESA_GLSL_CACHE_DISABLE=0"|sudo tee /etc/X11/Xsession.d/99mesa

You can then see it with cat /etc/X11/Xsession.d/99mesa

You'll have to reboot for it to take.
Thank you so much. Its work as i wanted. But the problem the game still take long time to run. So the report in github still opened.
But you did what i wish. Thanks <3. I appreciated your time <3

User avatar
WharfRat
Level 20
Level 20
Posts: 11537
Joined: Thu Apr 07, 2011 8:15 pm

Re: What about Mesa 18 or newer? how can i install or upgrade to it?

Post by WharfRat » Sat Feb 10, 2018 12:58 pm

One thing you might want to try is echo $MESA_GLSL_CACHE_DISABLE in a terminal to make sure it got into the environment :?
ImageImage

ssdmanster
Level 1
Level 1
Posts: 14
Joined: Fri Jun 23, 2017 4:24 pm

Re: What about Mesa 18 or newer? how can i install or upgrade to it?

Post by ssdmanster » Sat Feb 10, 2018 2:58 pm

WharfRat wrote:
Sat Feb 10, 2018 12:58 pm
One thing you might want to try is echo $MESA_GLSL_CACHE_DISABLE in a terminal to make sure it got into the environment :?
Thanks for your reply. This is the output.
c@r ~ $ echo $MESA_GLSL_CACHE_DISABLE

c@r ~ $

User avatar
WharfRat
Level 20
Level 20
Posts: 11537
Joined: Thu Apr 07, 2011 8:15 pm

Re: What about Mesa 18 or newer? how can i install or upgrade to it?

Post by WharfRat » Sat Feb 10, 2018 3:13 pm

My mistake :oops:

Run this echo -e "# Added for Mesa 18\nexport MESA_GLSL_CACHE_DISABLE=0"|sudo tee /etc/X11/Xsession.d/99mesa in the terminal then reboot.

It will overwrite the existing one.

Just an fyi this slowed down my VB Mate installation to a crawl.......

When you echo MESA_GLSL_CACHE_DISABLE you should get

Code: Select all

[bill@vb] ~ $ echo $MESA_GLSL_CACHE_DISABLE
0
[bill@vb] ~ $ 
Good luck :wink:
ImageImage

ssdmanster
Level 1
Level 1
Posts: 14
Joined: Fri Jun 23, 2017 4:24 pm

Re: What about Mesa 18 or newer? how can i install or upgrade to it?

Post by ssdmanster » Sat Feb 10, 2018 10:40 pm

Yeah now its work as you said.
c@r ~ $ echo $MESA_GLSL_CACHE_DISABLE
0
c@r ~ $
And Thanks for this.

But sorry to say that, Game problem still as it, nothing changed.
Thank you again.

Post Reply

Return to “Newbie Questions”